package com.gyee.generation.util.rule.expression;

public enum DeviceTypeValue {
    EG("EG", "集团"),
    RG("RG", "区域"),
    CP("CP", "公司"),
    WP("WP", "场站"),
    PJ("PJ", "项目"),
    LN("LN", "线路"),
    WT("WT", "设备");

    private String code;
    private String name;

    DeviceTypeValue(String code) {
        this.code = code;
    }

    DeviceTypeValue(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据code获取message
     *
     * @param code
     * @return
     */
    public static String getNmaeByCode(String code) {
        for (DeviceTypeValue ele : values()) {
            if (ele.getCode().equals(code)) {
                return ele.getName();
            }
        }
        return null;
    }


}
