package com.gyee.generation.util.rule.expression;

public enum FunctionValue {
    RFDL("RFDL", "日发电量"),
    PJFS("PJFS", "平均风速");

    private String code;
    private String name;

    FunctionValue(String code) {
        this.code = code;
    }

    FunctionValue(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据code获取message
     *
     * @param code
     * @return
     */
    public static String getNmaeByCode(String code) {
        for (FunctionValue ele : values()) {
            if (ele.getCode().equals(code)) {
                return ele.getName();
            }
        }
        return null;
    }




}
