package com.gyee.generation.util.rule.expression;

public enum TypeValue {
    CUSTOM("CUSTOM", "自定义"),
    ASSIGN("ASSIGN", "常量"),
    BASIC("BASIC", "后台计算指标");

    private String code;
    private String name;

    TypeValue(String code) {
        this.code = code;
    }

    TypeValue(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据code获取message
     *
     * @param code
     * @return
     */
    public static String getNmaeByCode(String code) {
        for (TypeValue ele : values()) {
            if (ele.getCode().equals(code)) {
                return ele.getName();
            }
        }
        return null;
    }




}
